<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Medicos Lite
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="https://gmpg.org/xfn/11">
<?php if(is_singular() && pings_open()) { ?>
	<link rel="pingback" href="<?php echo esc_url(get_bloginfo( 'pingback_url' )); ?>">
<?php } ?>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
	//wp_body_open hook from WordPress 5.2
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	} else {
		do_action( 'wp_body_open' );
	}
?>
<a class="skip-link screen-reader-text" href="#sitemain">
	<?php esc_html_e( 'Skip to content', 'medicos-lite' ); ?>
</a>

<?php
	$meditpbar = get_theme_mod('medi_hide_tpbr', '1'); 
	if( $meditpbar == '' ){
		get_template_part('inc/top','header');
	}
?>

<header id="header" class="header">
	<div class="container">
		<div class="align">
			<div class="header-left">
				<?php if ( has_custom_logo() ) { ?>
				<div class="custom-logo">
					<?php medicos_lite_the_custom_logo(); ?>
				</div><!-- cutom logo -->
				<?php } ?>
				<div class="site-title-desc">
					<h1 class="site-title">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_html(bloginfo( 'name' )); ?></a>
					</h1>
					<?php
						$description = get_bloginfo( 'description', 'display' );
						if ( $description || is_customize_preview() ) :
							echo '<p class="site-description">'.esc_html($description).'</p>';
						endif;
					?>
				</div><!-- site-title-desc -->
			</div><!-- header left -->
			<?php
				$advgetheadaddlbl = esc_html(get_theme_mod('medi_header_addlbl'));
				$advgetheadadd = esc_html(get_theme_mod('medi_header_add'));
				$advgetheadhrslbl = esc_html(get_theme_mod('medi_header_hrslbl'));
				$advgetheadhrs = esc_html(get_theme_mod('medi_header_hrs'));

				if( !empty( $advgetheadaddlbl || $advgetheadadd || $advgetheadhrslbl || $advgetheadhrs ) ){
			?>
				<div class="header-right">
					<div class="align">

						<?php if( !empty( $advgetheadaddlbl || $advgetheadadd ) ){ ?>
							<div class="head-info align">
								<div class="headinfo-icon">
									<i class="fa fa-map-marker" aria-hidden="true"></i>
								</div><!-- head info icon -->
								<div class="headinfo-text">
									<?php if( !empty( $advgetheadaddlbl ) ){ echo '<h6>'.$advgetheadaddlbl.'</h6>'; } ?>
									<?php if( !empty( $advgetheadadd ) ){ echo '<h5>'.$advgetheadadd.'</h5>'; } ?>
								</div><!-- head info text -->
							</div><!-- header info -->
						<?php } if( !empty( $advgetheadhrslbl || $advgetheadhrs ) ){ ?>
							<div class="head-info align">
								<div class="headinfo-icon">
									<i class="fa fa-hourglass-half" aria-hidden="true"></i>
								</div><!-- head info icon -->
								<div class="headinfo-text">
									<?php if( !empty( $advgetheadhrslbl ) ){ echo '<h6>'.$advgetheadhrslbl.'</h6>'; } ?>
									<?php if( !empty( $advgetheadhrs ) ){ echo '<h5>'.$advgetheadhrs.'</h5>'; } ?>
								</div><!-- head info text -->
							</div><!-- header info -->
						<?php } ?>

					</div><!-- align -->
				</div><!-- header right -->
			<?php } ?>
		</div><!-- align -->
	</div><!-- container -->
</header><!-- header -->

<?php
	get_template_part('inc/nav');
?>