<?php
/**
 * Medicos Lite Theme Customizer
 *
 * @package Medicos Lite
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function medicos_lite_customize_register( $wp_customize ) {
	
function medicos_lite_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
	
	$wp_customize->get_setting( 'blogname' )->medicos_lite         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->medicos_lite  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
	    'selector' => 'h1.site-title',
	    'render_callback' => 'medicos_lite_customize_partial_blogname',
	) );

	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
	    'selector' => 'p.site-description',
	    'render_callback' => 'medicos_lite_customize_partial_blogdescription',
	) );

	$wp_customize->add_setting('color_scheme', array(
		'default' => '#122e53',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'color_scheme',array(
			'label' => __('Color Scheme','medicos-lite'),
			'description'	=> __('Select color from here.','medicos-lite'),
			'section' => 'colors',
			'settings' => 'color_scheme'
		))
	);

	$wp_customize->add_setting('headerbg-color', array(
		'default' => '#ffffff',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'headerbg-color',array(
			'description'	=> __('Select background color for header.','medicos-lite'),
			'section' => 'colors',
			'settings' => 'headerbg-color'
		))
	);

	$wp_customize->add_setting('topbarbg-color', array(
		'default' => '#efa220',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));

	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'topbarbg-color',array(
			'description'	=> __('Select background color for top bar.','medicos-lite'),
			'section' => 'colors',
			'settings' => 'topbarbg-color'
		))
	);

	$wp_customize->add_setting('nav-color', array(
		'default' => '#ffffff',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
		
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'nav-color',array(
			'description'	=> __('Select color for navigation.','medicos-lite'),
			'section' => 'colors',
			'settings' => 'nav-color'
		))
	);

	$wp_customize->add_setting('footer-color', array(
		'default' => '#08141e',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
		
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'footer-color',array(
			'description'	=> __('Select background color for footer.','medicos-lite'),
			'section' => 'colors',
			'settings' => 'footer-color'
		))
	);

	$wp_customize->add_section(
		'medi_topbar_section',
		array(
			'title' => __('Setting Up Top Bar', 'medicos-lite'),
			'priority' => null,
			'description'	=> __('Add top bar information here.','medicos-lite'),	
		)
	);

	$wp_customize->add_setting('medi_tp_mail',array(
		'sanitize_callback'	=> 'sanitize_email'
	));

	$wp_customize->add_control('medi_tp_mail',array(
		'type'	=> 'email',
		'label'	=> __('Add Email Address here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_phn',array(
		'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('medi_tp_phn',array(
		'type'	=> 'text',
		'label'	=> __('Add Phone Number here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_tw',array(
		'sanitize_callback'	=> 'esc_url_raw'
	));

	$wp_customize->add_control('medi_tp_tw',array(
		'type'	=> 'url',
		'label'	=> __('Add Twitter link here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_fb',array(
		'sanitize_callback'	=> 'esc_url_raw'
	));

	$wp_customize->add_control('medi_tp_fb',array(
		'type'	=> 'url',
		'label'	=> __('Add Facebook link here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_yt',array(
		'sanitize_callback'	=> 'esc_url_raw'
	));

	$wp_customize->add_control('medi_tp_yt',array(
		'type'	=> 'url',
		'label'	=> __('Add Youtube link here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_in',array(
		'sanitize_callback'	=> 'esc_url_raw'
	));

	$wp_customize->add_control('medi_tp_in',array(
		'type'	=> 'url',
		'label'	=> __('Add Linkedin link here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_pi',array(
		'sanitize_callback'	=> 'esc_url_raw'
	));

	$wp_customize->add_control('medi_tp_pi',array(
		'type'	=> 'url',
		'label'	=> __('Add Pinterest link here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_btntxt',array(
		'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('medi_tp_btntxt',array(
		'type'	=> 'text',
		'label'	=> __('Add label for top bar button here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_tp_btnlnk',array(
		'sanitize_callback'	=> 'esc_url_raw'
	));

	$wp_customize->add_control('medi_tp_btnlnk',array(
		'type'	=> 'url',
		'label'	=> __('Add link for top bar button here.','medicos-lite'),
		'section'	=> 'medi_topbar_section'
	));

	$wp_customize->add_setting('medi_hide_tpbr',array(
		'default' => true,
		'sanitize_callback' => 'medicos_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'medi_hide_tpbr', array(
		'settings' => 'medi_hide_tpbr',
		'label'     => __('Uncheck to display top bar','medicos-lite'),
		'section'   => 'medi_topbar_section',
		'type'      => 'checkbox'
	));

	/***************************************
	** Main Header Information
	***************************************/
	$wp_customize->add_section(
        'medi_header_info',
        array(
            'title' => __('Setup Main Header Information', 'medicos-lite'),
            'priority' => null,
			'description'	=> __('Add main header information here','medicos-lite'),	
        )
    );

    $wp_customize->add_setting('medi_header_addlbl',array(
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('medi_header_addlbl',array(
			'type'	=> 'text',
			'label'	=> __('Add company address label here.','medicos-lite'),
			'section'	=> 'medi_header_info'
	));

    $wp_customize->add_setting('medi_header_add',array(
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('medi_header_add',array(
			'type'	=> 'text',
			'label'	=> __('Add company Address here.','medicos-lite'),
			'section'	=> 'medi_header_info'
	));

	$wp_customize->add_setting('medi_header_hrslbl',array(
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('medi_header_hrslbl',array(
			'type'	=> 'text',
			'label'	=> __('Add company timing label here.','medicos-lite'),
			'section'	=> 'medi_header_info'
	));

    $wp_customize->add_setting('medi_header_hrs',array(
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('medi_header_hrs',array(
			'type'	=> 'text',
			'label'	=> __('Add company timing here.','medicos-lite'),
			'section'	=> 'medi_header_info'
	));

	/***************************************
	** Theme Slider
	***************************************/	
	$wp_customize->add_section(
		'medicos_theme_slider_section',
		array(
			'title' => __('Setup Slider', 'medicos-lite'),
			'priority' => null,
			'description'	=> __('Recommended image size (1600x900). Slider will work only when you select the static front page.','medicos-lite'),	
		)
	);

	$wp_customize->add_setting('slider1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('slider1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide one:','medicos-lite'),
		'section'	=> 'medicos_theme_slider_section'
	));
	
	$wp_customize->add_setting('slider2',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('slider2',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide two:','medicos-lite'),
		'section'	=> 'medicos_theme_slider_section'
	));

	$wp_customize->add_setting('slider3',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('slider3',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide three:','medicos-lite'),
		'section'	=> 'medicos_theme_slider_section'
	));

	$wp_customize->add_setting('medi_slide_more',array(
		'default'	=> __('Read More','medicos-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('medi_slide_more',array(
		'label'	=> __('Add slider read more button text.','medicos-lite'),
		'section'	=> 'medicos_theme_slider_section',
		'setting'	=> 'medi_slide_more',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('medi_hide_slider',array(
		'default' => true,
		'sanitize_callback' => 'medicos_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'medi_hide_slider', array(
		'settings' => 'medi_hide_slider',
		'section'   => 'medicos_theme_slider_section',
		'label'     => __('Check this to hide slider.','medicos-lite'),
		'type'      => 'checkbox'
	));

	/***************************************
	** Section First
	***************************************/
	$wp_customize->add_section(
		'medi_theme_first_section',
		array(
			'title' => __('Setup Features Section', 'medicos-lite'),
			'priority' => null,
			'description'	=> __('Select page for homepage first section. This section will be displayed only when you select the static front page.','medicos-lite'),	
		)
	);

	$wp_customize->add_setting('firstsection1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('firstsection1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for homepage first section','medicos-lite'),
		'section'	=> 'medi_theme_first_section'
	));

	$wp_customize->add_setting('firstsection2',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('firstsection2',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for homepage first section','medicos-lite'),
		'section'	=> 'medi_theme_first_section'
	));

	$wp_customize->add_setting('firstsection3',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('firstsection3',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for homepage first section','medicos-lite'),
		'section'	=> 'medi_theme_first_section'
	));

	$wp_customize->add_setting('firstsection4',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('firstsection4',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for homepage first section','medicos-lite'),
		'section'	=> 'medi_theme_first_section'
	));

	$wp_customize->add_setting('medi_hide_fsec',array(
		'default' => true,
		'sanitize_callback' => 'medicos_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'medi_hide_fsec', array(
		'settings' => 'medi_hide_fsec',
		'section'   => 'medi_theme_first_section',
		'label'     => __('Check this to hide section.','medicos-lite'),
		'type'      => 'checkbox'
	));

	/***************************************
	** Section Second
	***************************************/
	$wp_customize->add_section(
		'medi_theme_second_section',
		array(
			'title' => __('Setup About Us Section', 'medicos-lite'),
			'priority' => null,
			'description'	=> __('Select page for homepage second section. This section will be displayed only when you select the static front page.','medicos-lite'),	
		)
	);

	$wp_customize->add_setting('about_page',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));

	$wp_customize->add_control('about_page',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for homepage about section','medicos-lite'),
		'section'	=> 'medi_theme_second_section'
	));

	$wp_customize->add_setting('medi_about_more',array(
		'default'	=> __('Read More','medicos-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('medi_about_more',array(
		'label'	=> __('Add about read more button text.','medicos-lite'),
		'section'	=> 'medi_theme_second_section',
		'setting'	=> 'medi_about_more',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('medi_hide_ssec',array(
		'default' => true,
		'sanitize_callback' => 'medicos_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'medi_hide_ssec', array(
		'settings' => 'medi_hide_ssec',
		'section'   => 'medi_theme_second_section',
		'label'     => __('Check this to hide section.','medicos-lite'),
		'type'      => 'checkbox'
	));	
}
add_action( 'customize_register', 'medicos_lite_customize_register' );	

function medicos_lite_css(){ ?>
<style>
	.top-section,
	.head-info .headinfo-icon,
	.sitenav ul li.current_page_item a,
	.sitenav ul li a:hover,
	.sitenav ul li.current_page_item ul li a:hover,
	#theme_slider .nivo-caption a.slide-button,
	h2.section-title:after{
		background-color:<?php echo esc_attr(get_theme_mod('topbarbg-color','#efa220')); ?>;
	}
	.head-info .headinfo-text h6,
	p.site-description{
		color:<?php echo esc_attr(get_theme_mod('topbarbg-color','#efa220')); ?>;
	}
	.tm_client strong,
	.postmeta a:hover,
	#sidebar ul li a:hover,
	.blog-post h3.entry-title,
	a.blog-more:hover,
	#commentform input#submit,
	input.search-submit,
	.nivo-controlNav a.active,
	.blog-date .date,
	a.read-more,
	h2.section-title,
	.head-info .headinfo-text h5{
		color:<?php echo esc_attr(get_theme_mod('color_scheme','#122e53')); ?>;
	}
	h3.widget-title,
	.nav-links .current,
	.nav-links a:hover,
	p.form-submit input[type="submit"],
	.home-content a,
	a.main-button,
	.feat-content a.feat-btn,
	#navbar,
	.tpbar-btn a{
		background-color:<?php echo esc_attr(get_theme_mod('color_scheme','#122e53')); ?>;
	}
	#header{
		background-color:<?php echo esc_attr(get_theme_mod('headerbg-color','#ffffff')); ?>;
	}
	.sitenav ul li a{
		color:<?php echo esc_attr(get_theme_mod('nav-color','#ffffff')); ?>;
	}
	.copyright-wrapper{
		background-color:<?php echo esc_attr(get_theme_mod('footer-color','#08141e')); ?>;
	}
</style>        
<?php } add_action('wp_head','medicos_lite_css');

function medicos_lite_customize_preview_js() {
	wp_enqueue_script( 'medicos-lite-customize-preview', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'medicos_lite_customize_preview_js' );