<?php
/**
 * The Top Bar for our theme.
 *
 * Display all information related to top bar
 *
 * @package Medicos Lite
**/

$medi_gettp_mail = get_theme_mod('medi_tp_mail');
$medi_gettp_phne = get_theme_mod('medi_tp_phn');
$medi_gettp_tw = get_theme_mod('medi_tp_tw');
$medi_gettp_fb = get_theme_mod('medi_tp_fb');
$medi_gettp_yt = get_theme_mod('medi_tp_yt');
$medi_gettp_in = get_theme_mod('medi_tp_in');
$medi_gettp_pi = get_theme_mod('medi_tp_pi');
$medi_gettp_btntxt = get_theme_mod('medi_tp_btntxt');
$medi_gettp_btnlink = get_theme_mod('medi_tp_btnlnk');
?>
<div class="top-section">
    <div class="container">
        <div class="align">
            <?php if( !empty( $medi_gettp_mail || $medi_gettp_phne || $medi_gettp_tw || $medi_gettp_fb || $medi_gettp_yt || $medi_gettp_in || $medi_gettp_pi ) ) { ?>
            <div class="top-section-left">
                <?php if( !empty( $medi_gettp_mail ) ) { ?>
                <div><a href="mailto:<?php echo esc_url($medi_gettp_mail); ?>"><i class="fa fa-envelope"></i><?php echo esc_url($medi_gettp_mail); ?></a></div>
                <?php } if( !empty( $medi_gettp_phne ) ) {  ?>
                <div><a href="tel:<?php echo esc_attr($medi_gettp_phne); ?>"><i class="fa fa-phone"></i><?php echo esc_html($medi_gettp_phne); ?></a></div>
                <?php } if( !empty( $medi_gettp_tw || $medi_gettp_fb || $medi_gettp_yt || $medi_gettp_in || $medi_gettp_pi ) ) { ?>
                <div>
                    <div class="social">
                        <?php if( !empty( $medi_gettp_tw ) ) { ?>
                        <a href="<?php echo esc_url( $medi_gettp_tw ); ?>" target="_blank" title="Twitter"><i class="fa fa-twitter"></i></a>
                        <?php } if( !empty( $medi_gettp_fb ) ) { ?>
                        <a href="<?php echo esc_url( $medi_gettp_fb ); ?>" target="_blank" title="Facebook"><i class="fa fa-facebook"></i></a>
                        <?php } if( !empty( $medi_gettp_yt ) ) { ?>
                        <a href="<?php echo esc_url( $medi_gettp_yt ); ?>" target="_blank" title="TouTube"><i class="fa fa-youtube-play"></i></a>
                        <?php } if( !empty( $medi_gettp_in ) ) { ?>
                        <a href="<?php echo esc_url( $medi_gettp_in ); ?>" target="_blank" title="Linkedin"><i class="fa fa-linkedin"></i></a>
                        <?php } if( !empty( $medi_gettp_pi ) ) { ?>
                        <a href="<?php echo esc_url( $medi_gettp_pi ); ?>" target="_blank" title="Pinterest"><i class="fa fa-pinterest-p"></i></a>
                        <?php } ?>
                    </div><!-- social -->
                </div>
                <?php } ?>
            </div><!-- top section left -->
            <?php } ?>
            <?php if( !empty( $medi_gettp_btntxt ) ) { ?>
            <div class="top-section-right">
                <div class="tpbar-btn">
                    <a href="<?php echo esc_url( $medi_gettp_btnlink );?>"><?php echo esc_html($medi_gettp_btntxt); ?></a>
                </div><!-- tpbar btn -->
            </div><!-- top section right -->
            <?php } ?>
        </div>
    </div><!-- container -->
</div><!-- top section -->